package com.rv.im.adapter;

import android.support.annotation.Nullable;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.rv.im.R;
import com.rv.im.db.table.Customer;

import java.util.List;

public class CustomerListAdapter extends BaseQuickAdapter<Customer, BaseViewHolder> {
    public CustomerListAdapter(@Nullable List<Customer> data) {
        super(R.layout.item_customer, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, Customer item) {
        helper.setText(R.id.tv_name, item.getName());
        helper.setText(R.id.tv_state, "在线");
        helper.setText(R.id.tv_last_msg, item.getLastMsg());
    }
}
